<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Connect to MD01</title>
    <style>
        #error {
            color: red;
        }

        /* fieldset {
            width: 30%
        } */

        h1 {
            text-align: center;
        }
    </style>

</head>

<body>
    <h1>Mall Health Check</h1>

    {% for cat, msg in get_flashed_messages(with_categories=True) %}
    {% if cat=="error" %}
    <p id="error">* {{ msg }}</p>
    {% endif %}
    {% endfor %}

    <fieldset>
        <legend>Connect to MD01</legend>
        <form action="" method="POST">

            {% for cat, msg in get_flashed_messages(with_categories=True) %}
            {% if cat=="required" %}
            <p id="error">{{ msg }}</p>
            {% endif %}
            {% endfor %}

            <label for="uname">Username</label><br />
            <input type="text" name="uname" id="uname" placeholder="AAA_USERNAME" /><br />
            <label for="pwd">Password</label><br />
            <input type="password" name="pwd" id="pwd" placeholder="AAA_PASSWORD" /><br />
            <label for="uname">Device Type</label><br />
            <select name="dtype" id="uname">
                <option value="cisco_ios" selected>cisco_ios</option>
            </select><br />
            <label for="ip">IP</label><br />
            <input type="text" name="ip" id="ip" placeholder="X.X.X.X" /><br />

            <input type="submit" value="Go Check" /><br />
            <br />
        </form>
    </fieldset>

</body>

</html>